<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use App\Http\Requests\Auth\LoginRequest;
use App\Providers\RouteServiceProvider;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\View\View;

use Stevebauman\Location\Facades\Location;
use Illuminate\Support\Facades\DB;

use App;

class AuthenticatedSessionController extends Controller
{
    /**
     * Display the login view.
     */
    public function create(Request $request): View
    {
        $ip = $request->ip();
        // $ip = "94.102.175.255";    //Belgium   Dutch
        // $ip = "202.47.39.18";   //Pakistan  English
        // $ip = "154.72.175.6";   //Cameroon  French  
        // $ip = "185.21.132.0";   //Italy     Italian
        $ip = "1.178.32.0";     //Brazil    Portuguese        
        // $ip = "1.178.224.0";    //Spain     Spanish
        
        $currentUserInfo = Location::get($ip);
        if(session()->has("lang_code")){
            App::setLocale(session()->get("lang_code"));
        }    
        elseif (isset($currentUserInfo) && !empty($currentUserInfo)) {
            $lang_data = DB::table('country')->select('*')->where('code',$currentUserInfo->countryCode)->first();
            $langcode = isset($lang_data) ? $lang_data->official_lang : config("app.lang_code");

            session()->put("lang_code",$langcode);
            App::setLocale(session()->get("lang_code"));
        }
        else{
            session()->put("lang_code",config("app.lang_code"));
            App::setLocale(session()->get("lang_code"));
        }


        return view('auth.login');
    }

    /**
     * Handle an incoming authentication request.
     */
    public function store(LoginRequest $request): RedirectResponse
    {
        $ip = $request->ip();
        // $ip = "94.102.175.255";    //Belgium   Dutch
        // $ip = "202.47.39.18";   //Pakistan  English
        // $ip = "154.72.175.6";   //Cameroon  French  
        // $ip = "185.21.132.0";   //Italy     Italian
        // $ip = "1.178.32.0";     //Brazil    Portuguese        
        // $ip = "1.178.224.0";    //Spain     Spanish
        
        $currentUserInfo = Location::get($ip);

        $request->authenticate();

        $request->session()->regenerate();

        $url = '';
        if($request->user()->role === 'admin')
        {
            $url = 'admin-dashboard';
        }
        else if($request->user()->role === 'user')
        {
            $url = 'dashboard';
        }

        if (isset(Auth::user()->lang)) {
            session()->put("lang_code",Auth::user()->lang);
        }
        else{
            if (isset($currentUserInfo) && !empty($currentUserInfo)) {
                $lang_data = DB::table('country')->select('*')->where('code',$currentUserInfo->countryCode)->first();
                $langcode = isset($lang_data) ? $lang_data->official_lang : config("app.lang_code");

                session()->put("lang_code",$langcode);
                App::setLocale(session()->get("lang_code"));
            }
            else{
                session()->put("lang_code",config("app.lang_code"));
                App::setLocale(session()->get("lang_code"));
            }
        }
        
        return redirect()->intended($url);
        //return redirect()->intended(RouteServiceProvider::HOME);
    }

    /**
     * Destroy an authenticated session.
     */
    public function destroy(Request $request): RedirectResponse
    {
        Auth::guard('web')->logout();

        $request->session()->invalidate();

        $request->session()->regenerateToken();

        return redirect('/login');
    }
}
