<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use App\Models\User;
use App\Providers\RouteServiceProvider;
use Illuminate\Auth\Events\Registered;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;
use Illuminate\Validation\Rules;
use Illuminate\View\View;
use Stevebauman\Location\Facades\Location;
use Illuminate\Support\Facades\DB;
use Validator;

use App;

class RegisteredUserController extends Controller
{
    /**
     * Display the registration view.
     */
    public function create(Request $request, $affilliate_id=""): View
    {
        $ip = $request->ip();
        //$ip = "94.102.175.255";    //Belgium   Dutch
        // $ip = "202.47.39.18";   //Pakistan  English
        //$ip = "154.72.175.6";   //Cameroon  French  
       // $ip = "185.21.132.0";   //San Marino     Italian
        //$ip = "1.178.32.0";     //Brazil    Portuguese        
        // $ip = "1.178.224.0";    //Spain     Spanish
        $currentUserInfo = Location::get($ip);

       // print_r($currentUserInfo);         die;
        
        $countries_list = DB::table('country')->get(); 
       
        $country_name = isset($currentUserInfo->countryName) ? $currentUserInfo->countryName : "";
        $country_code = isset($currentUserInfo->countryCode) ? $currentUserInfo->countryCode : "";

        if(session()->has("lang_code")){
            App::setLocale(session()->get("lang_code"));
        }
        elseif (isset($currentUserInfo) && !empty($currentUserInfo)) {
            $lang_data = DB::table('country')->select('*')->where('code',$currentUserInfo->countryCode)->first();
            $langcode = isset($lang_data) ? $lang_data->official_lang : config("app.lang_code");

            session()->put("lang_code",$langcode);
            App::setLocale(session()->get("lang_code"));
        }
        else{
            session()->put("lang_code",config("app.lang_code"));
            App::setLocale(session()->get("lang_code"));
        }

                    
        return view('auth.register', compact('countries_list','country_name','country_code','affilliate_id'));
    }

    /**
     * Handle an incoming registration request.
     *
     * @throws \Illuminate\Validation\ValidationException
     */
    public function store(Request $request): RedirectResponse
    {
        $validatorData = $request->validate([
            'name' => ['required', 'string', 'max:255'],
            'email' => ['required', 'string', 'lowercase', 'email', 'max:255', 'unique:'.User::class],
            'country' => ['required'],
            'telegram_handle' => ['required'],
            'find_us' => ['required'],
            
        ]);
        //print_r($validatorData); die;
        if (count($validatorData) === 0){
            
            if(session()->has("lang_code")){
                $lang_code = session()->get("lang_code");
                $validatorData->lang($lang_code);
            }
            else{            
                $validatorData->lang('en');
            }
        }
               

       $find_us_str = "";
       if(!empty($request->find_us))
       {
            foreach($request->find_us as $row)
            {
                if ($row == "Referred by a friend") {
                    $findusData = trans('messages.Referred_by_a_friend');
                    $find_us_str .= $findusData.",";
                }
                else{
                    $find_us_str .= $row.",";
                }
                
            }
       }

       $find_us_str = rtrim($find_us_str, ',');

       $hdn_affilliate_id = isset($request->affilliate_id) ? $request->affilliate_id : "";
       $affilliate_member_id = 0;
       if(!empty($hdn_affilliate_id))
       {
        $affilliate_member_id = DB::table('users')->where('affilliate_code',$hdn_affilliate_id)->pluck('id')->first();         
       }


        $user = User::create([
            'name' => $request->name,
            'email' => $request->email,
            'country' => $request->country,
            'telegram_handle' => $request->telegram_handle,
            'find_us' => $find_us_str,
            'password' => Hash::make('easy_invest_123'),
            'affilliate_member_id' => $affilliate_member_id,
        ]);

        event(new Registered($user));

        Auth::login($user);

        return redirect(RouteServiceProvider::HOME);
    }
}
