<?php
 
namespace App\Http\Controllers;
 
use Illuminate\Http\Request;
use Illuminate\Http\RedirectResponse;
use Illuminate\Support\Facades\Auth;
 
class LoginController extends Controller
{
    /**
     * Handle an authentication attempt.
     */
    public function authenticate(Request $request): RedirectResponse
    {
		$credentials = $request->validate([
            'email' => ['required', 'email'],
            'password' => ['required'],
			'role' => 'admin',
        ]);
 
        if (Auth::attempt(['email' => $request->email, 'password' =>$request->password, 'role'=>"admin"])) {
            $request->session()->regenerate();
 
            return redirect()->intended('dashboard');
        }
 
        return back()->withErrors([
            'email' => 'The provided credentials do not match our records.',
        ])->onlyInput('email');
    }
}