<?php

namespace App\Http\Middleware;

use Closure;
use App;
use Illuminate\Http\Request;
use App\Config;
use Stevebauman\Location\Facades\Location;
use Illuminate\Support\Facades\DB;


class Language
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure(\Illuminate\Http\Request): (\Illuminate\Http\Response|\Illuminate\Http\RedirectResponse)  $next
     * @return \Illuminate\Http\Response|\Illuminate\Http\RedirectResponse
     */
    public function handle(Request $request, Closure $next)
    {
        $ip = $request->ip();
        // $ip = "94.102.175.255";    //Belgium   Dutch
        // $ip = "202.47.39.18";   //Pakistan  English
        // $ip = "154.72.175.6";   //Cameroon  French  
        // $ip = "185.21.132.0";   //Italy     Italian
        // $ip = "1.178.32.0";     //Brazil    Portuguese        
        // $ip = "1.178.224.0";    //Spain     Spanish

        if(session()->has("lang_code")){
            App::setLocale(session()->get("lang_code"));
        }
        elseif (isset($ip)) {
            $currentUserInfo = Location::get($ip);

            if (isset($currentUserInfo) && !empty($currentUserInfo)) {
                $lang_data = DB::table('country')->select('*')->where('code',$currentUserInfo->countryCode)->first();
                $langcode = isset($lang_data) ? $lang_data->official_lang : config("app.lang_code");

                session()->put("lang_code",$langcode);
                App::setLocale(session()->get("lang_code"));
            }
        }
        else{
            session()->put("lang_code",config("app.lang_code"));
            App::setLocale(session()->get("lang_code"));
        }
        
        return $next($request);
    }
}
