<?php

namespace App\Providers;
use Illuminate\Support\Facades\View;
use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Facades\Schema;
use Illuminate\Support\Facades\DB;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     */
    public function register(): void
    {
        //
    }

    /**
     * Bootstrap any application services.
     */
    public function boot(): void
    {
		Schema::defaultStringLength(191);
        //


        $languages = DB::table('country');
        $languages = $languages->select('official_lang',DB::RAW("CASE WHEN official_lang = 'es' THEN 'Spanish' WHEN official_lang = 'en' THEN 'English' WHEN official_lang = 'fr' THEN 'French' WHEN official_lang = 'it' THEN 'Italian' WHEN official_lang = 'nl' THEN 'Dutch' WHEN official_lang = 'pt' THEN 'Portuguese' END AS lang"),DB::RAW("CASE WHEN official_lang = 'es' THEN 'es' WHEN official_lang = 'en' THEN 'us' WHEN official_lang = 'fr' THEN 'fr' WHEN official_lang = 'it' THEN 'sm' WHEN official_lang = 'nl' THEN 'nl' WHEN official_lang = 'pt' THEN 'pt' END AS flag"));
        $languages = $languages->groupby('official_lang');
        $languages = $languages->orderBy('lang','ASC');
        $languages = $languages->get();

        View::share('languages', $languages);
    }
}
