<?php

return [

    /*
    |--------------------------------------------------------------------------
    | Validation Language Lines
    |--------------------------------------------------------------------------
    |
    | The following language lines contain the default error messages used by
    | the validator class. Some of these rules have multiple versions such
    | as the size rules. Feel free to tweak each of these messages here.
    |
    */

    'accepted' => "L'attribut :doit être accepté.",
    'accepted_if' => "L'attribut :doit être accepté lorsque :other est :value.",
    'active_url' => "L'attribut :attribute n'est pas une URL valide.",
    'after' => "L'attribut : doit être une date postérieure :date.",
    'after_or_equal' => "L'attribut : doit être une date postérieure ou égale à :date.",
    'alpha' => "L'attribut :ne doit contenir que des lettres.",
    'alpha_dash' => "L'attribut :ne doit contenir que des lettres, des chiffres, des tirets et des traits de soulignement.",
    'alpha_num' => "L'attribut :ne doit contenir que des lettres et des chiffres.",
    'array' => "Le :attribute doit être un tableau.",
    'before' => "L'attribut : doit être une date antérieure :date.",
    'before_or_equal' => "L'attribut : doit être une date antérieure ou égale à :date.",
    'between' => [
        'numeric' => "L'attribut :doit être compris entre :min et :max.",
        'file' => "L'attribut :doit être compris entre :min et :max kilobytes.",
        'string' => "L'attribut :doit être compris entre :min et :max personnages.",
        'array' => "L'attribut :doit avoir entre :min et :max articles.",
    ],
    'boolean' => "Le champ :attribute doit être vrai ou faux.",
    'confirmed' => "La confirmation :attribute ne correspond pas.",
    'current_password' => 'Le mot de passe est incorrect.',
    'date' => "L'attribut attribut n'est pas une date valide.",
    'date_equals' => "L'attribut :doit être une date égale à :date.",
    'date_format' => "L'attribut :attribute ne correspond pas au format :format.",
    'declined' => "L'attribut :doit être refusé.",
    'declined_if' => "Le :attribute doit être refusé lorsque :other est :value.",
    'different' => "Les éléments :attribute et :other doivent être différents.",
    'digits' => "Le :attribute doit être :digits chiffres.",
    'digits_between' => "L'attribut :doit être compris entre :min et :max chiffres.",
    'dimensions' => "L'attribut : attribut a des dimensions d'image non valides.",
    'distinct' => 'Le champ :attribute a une valeur en double.',
    'email' => "L'attribut : attribut doit être une adresse e-mail valide.",
    'ends_with' => "L'attribut : doit se terminer par l'un des éléments suivants: :values.",
    'enum' => "L'attribut : sélectionné n'est pas valide.",
    'exists' => "L'attribut : sélectionné n'est pas valide.",
    'file' => "L'attribut : doit être un fichier.",
    'filled' => "Le champ :attribute doit avoir une valeur.",
    'gt' => [
        'numeric' => "L'attribut :doit être supérieur à :value.",
        'file' => "L'attribut :doit être supérieur à :value kilobytes.",
        'string' => "L'attribut :doit être supérieur à :value personnages.",
        'array' => "L'attribut : doit avoir plus de :value articles.",
    ],
    'gte' => [
        'numeric' => "L'attribut :doit être supérieur ou égal à :value.",
        'file' => "L'attribut :doit être supérieur ou égal à :value kilobytes.",
        'string' => "L'attribut :doit être supérieur ou égal à :value personnages.",
        'array' => "Le :attribute doit avoir des éléments :value ou plus.",
    ],
    'image' => "L'attribut : doit être une image.",
    'in' => "L'attribut : sélectionné n'est pas valide.",
    'in_array' => "Le champ :attribute n'existe pas dans :other.",
    'integer' => "L'attribut : doit être un entier.",
    'ip' => "L'attribut : doit être une adresse IP valide.",
    'ipv4' => "Le :attribute doit être une adresse IPv4 valide.",
    'ipv6' => "L'attribut : attribut doit être une adresse IPv6 valide.",
    'json' => "Le :attribute doit être une chaîne JSON valide.",
    'lt' => [
        'numeric' => "Le :attribute doit être inférieur à :value.",
        'file' => "Le :attribute doit être inférieur à :value kilobytes.",
        'string' => "Le :attribute doit être inférieur à :value caractères.",
        'array' => "Le :attribute doit avoir moins d’éléments :value.",
    ],
    'lte' => [
        'numeric' => "Le :attribute doit être inférieur ou égal à :value.",
        'file' => "Le :attribute doit être inférieur ou égal à :value kilobytes.",
        'string' => "L'attribut :doit être inférieur ou égal à :value personnages.",
        'array' => "L'attribut : attribut ne doit pas avoir plus de :value articles.",
    ],
    'mac_address' => "L'attribut : doit être une adresse MAC valide.",
    'max' => [
        'numeric' => "L'attribut :ne doit pas être supérieur à :max.",
        'file' => "L'attribut :ne doit pas être supérieur à :max kilobytes.",
        'string' => "L'attribut :ne doit pas être supérieur à :max personnages.",
        'array' => "L'attribut : attribut ne doit pas avoir plus de :max articles.",
    ],
    'mimes' => "Le :attribute doit être un fichier de type: :values.",
    'mimetypes' => "Le :attribute doit être un fichier de type: :values.",
    'min' => [
        'numeric' => "L'attribut :doit être au moins :min.",
        'file' => "L'attribut :doit être au moins :min kilobytes.",
        'string' => "L'attribut :doit être au moins :min personnages.",
        'array' => "L'attribut :doit avoir au moins :min articles.",
    ],
    'multiple_of' => "L'attribut : doit être un multiple de :value.",
    'not_in' => "L'attribut : sélectionné n'est pas valide.",
    'not_regex' => "Le format :attribute n'est pas valide.",
    'numeric' => "L'attribut : doit être un nombre.",
    'password' => 'Le mot de passe est incorrect.',
    'present' => "Le champ :attribute doit être présent.",
    'prohibited' => "Le champ :attribute est interdit.",
    'prohibited_if' => "Le champ :attribute est interdit lorsque :other vaut :value.",
    'prohibited_unless' => "Le champ :attribute est interdit sauf si :other est dans :values.",
    'prohibits' => "Le champ :attribute interdit à :other d'être présent.",
    'regex' => "Le format :attribute n'est pas valide.",
    'required' => "Le champ :attribute est obligatoire.",
    'required_array_keys' => "Le champ :attribute doit contenir des entrées pour : valeurs.",
    'required_if' => "Le champ :attribute est obligatoire lorsque :other est :value.",
    'required_unless' => "Le champ :attribute est obligatoire sauf si :other est dans :values.",
    'required_with' => "Le champ :attribute est obligatoire lorsque :values est présent.",
    'required_with_all' => "Le champ :attribute est obligatoire lorsque :values sont présentes.",
    'required_without' => "Le champ :attribute est obligatoire lorsque :values n'est pas présent.",
    'required_without_all' => "Le champ :attribute est requis lorsqu'aucune des :valeurs n'est présente.",
    'same' => "Les éléments :attribute et :other doivent correspondre.",
    'size' => [
        'numeric' => "L'attribut :doit être :size.",
        'file' => "The :attribute must be :size kilobytes.",
        'string' => "L'attribut :doit être :size personnages.",
        'array' => "L'attribut :doit contenir :size articles.",
    ],
    'starts_with' => "L'attribut : doit commencer par l'un des éléments suivants: :values.",
    'string' => "Le :attribute doit être une chaîne.",
    'timezone' => "L'attribut : doit être un fuseau horaire valide.",
    'unique' => "L'attribut :a déjà été pris.",
    'uploaded' => "L'attribut : attribut n'a pas pu être téléchargé.",
    'url' => "Le :attribute doit être une URL valide.",
    'uuid' => "Le :attribute doit être un UUID valide.",

    /*
    |--------------------------------------------------------------------------
    | Custom Validation Language Lines
    |--------------------------------------------------------------------------
    |
    | Here you may specify custom validation messages for attributes using the
    | convention "attribute.rule" to name the lines. This makes it quick to
    | specify a specific custom language line for a given attribute rule.
    |
    */

    'custom' => [
        'attribute-name' => [
            'rule-name' => 'custom-message',
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | Custom Validation Attributes
    |--------------------------------------------------------------------------
    |
    | The following language lines are used to swap our attribute placeholder
    | with something more reader friendly such as "E-Mail Address" instead
    | of "email". This simply helps us make our message more expressive.
    |
    */

    'attributes' => [],

];
