<?php

return [

    /*
    |--------------------------------------------------------------------------
    | Validation Language Lines
    |--------------------------------------------------------------------------
    |
    | The following language lines contain the default error messages used by
    | the validator class. Some of these rules have multiple versions such
    | as the size rules. Feel free to tweak each of these messages here.
    |
    */

    'accepted' => "L' :attributo deve essere accettato.",
    'accepted_if' => "L' :attribute deve essere accettato quando :other è :value.",
    'active_url' => "L' :attributo non è un URL valido.",
    'after' => "L' :attributo deve essere una data successiva :date.",
    'after_or_equal' => "L' :attributo deve essere una data successiva o uguale a :date.",
    'alpha' => "L' :attributo deve contenere solo lettere.",
    'alpha_dash' => "L' :attributo deve contenere solo lettere, numeri, trattini e trattini bassi.",
    'alpha_num' => "L' :attributo deve contenere solo lettere e numeri.",
    'array' => "L':attributo deve essere un array.",
    'before' => "L' :attributo deve essere una data precedente :date.",
    'before_or_equal' => "L' :attributo deve essere una data precedente o uguale a :date.",
    'between' => [
        'numeric' => "L' :attributo deve essere compreso tra :min E :max.",
        'file' => "L' :attributo deve essere compreso tra :min E :max kilobytes.",
        'string' => "L' :attributo deve essere compreso tra :min E :max caratteri.",
        'array' => "L'attributo : deve avere un valore compreso tra :min E :max elementi.",
    ],
    'boolean' => "Il campo :attribute deve essere true o false.",
    'confirmed' => "La conferma:attribute non corrisponde.",
    'current_password' => "La password non è corretta.",
    'date' => "L' :attributo non è una data valida.",
    'date_equals' => "L' :attributo deve essere una data uguale a :date.",
    'date_format' => "L' :attributo non corrisponde al formato :format.",
    'declined' => "L' :attributo deve essere rifiutato.",
    'declined_if' => "L' :attributo deve essere rifiutato quando :other è :value.",
    'different' => "L' :attributo e :l'altro deve essere diverso.",
    'digits' => "L' :attributo deve essere :digits cifre.",
    'digits_between' => "L' :attributo deve essere compreso tra :min e :max cifre.",
    'dimensions' => "L' :attributo ha dimensioni dell'immagine non valide.",
    'distinct' => "Il campo :attribute ha un valore duplicato.",
    'email' => "L' :attributo deve essere un indirizzo email valido.",
    'ends_with' => "L' :attributo deve terminare con uno dei seguenti: :values.",
    'enum' => "L'attributo :attributo selezionato non è valido.",
    'exists' => "L'attributo :attributo selezionato non è valido.",
    'file' => "L':attributo deve essere un file.",
    'filled' => "Il campo :attribute deve avere un valore.",
    'gt' => [
        'numeric' => "L' :attributo deve essere maggiore di :value.",
        'file' => "L' :attributo deve essere maggiore di :value kilobytes.",
        'string' => "L' :attributo deve essere maggiore di :value caratteri.",
        'array' => "L' :attributo deve avere più di :value elementi.",
    ],
    'gte' => [
        'numeric' => "L' :attributo deve essere maggiore o uguale a :value.",
        'file' => "L' :attributo deve essere maggiore o uguale a :value kilobytes.",
        'string' => "L' :attributo deve essere maggiore o uguale a :value caratteri.",
        'array' => "L' :attribute deve avere :value elementi o più.",
    ],
    'image' => "L' :attributo deve essere un'immagine.",
    'in' => "L'attributo :attributo selezionato non è valido.",
    'in_array' => "Il campo :attribute non esiste in :other.",
    'integer' => "L' :attributo deve essere un numero intero.",
    'ip' => "L':attributo deve essere un indirizzo IP valido.",
    'ipv4' => "L':attributo deve essere un indirizzo IPv4 valido.",
    'ipv6' => "L':attributo deve essere un indirizzo IPv6 valido.",
    'json' => "L':attributo deve essere una stringa JSON valida.",
    'lt' => [
        'numeric' => "L' :attributo deve essere inferiore a :value.",
        'file' => "L' :attributo deve essere inferiore a :value kilobytes.",
        'string' => "L' :attributo deve essere inferiore a :value caratteri.",
        'array' => "L' :attributo deve avere meno di :value elementi.",
    ],
    'lte' => [
        'numeric' => "L' :attributo deve essere minore o uguale a :value.",
        'file' => "L' :attributo deve essere minore o uguale a :value kilobytes.",
        'string' => "L' :attributo deve essere minore o uguale a :value caratteri.",
        'array' => "L' :attributo non deve avere più di :value elementi.",
    ],
    'mac_address' => "L' :attributo deve essere un indirizzo MAC valido.",
    'max' => [
        'numeric' => "L' :attributo non deve essere maggiore di :max.",
        'file' => "L' :attributo non deve essere maggiore di :max kilobytes.",
        'string' => "L' :attributo non deve essere maggiore di :max caratteri.",
        'array' => "L' :attributo non deve avere più di :max elementi.",
    ],
    'mimes' => "L':attributo deve essere un file di tipo: :values.",
    'mimetypes' => "L':attributo deve essere un file di tipo: :values.",
    'min' => [
        'numeric' => "L' :attributo deve essere almeno :min.",
        'file' => "L' :attributo deve essere almeno :min kilobytes.",
        'string' => "L' :attributo deve essere almeno :min caratteri.",
        'array' => "L'attributo : deve avere almeno :min elementi.",
    ],
    'multiple_of' => "L' :attributo deve essere un multiplo di :value.",
    'not_in' => "L'attributo :attributo selezionato non è valido.",
    'not_regex' => "Il formato :attributo non è valido.",
    'numeric' => "L' :attributo deve essere un numero.",
    'password' => "La password non è corretta.",
    'present' => "Il campo :attributo deve essere presente.",
    'prohibited' => "Il campo :attributo è vietato.",
    'prohibited_if' => "Il campo :attribute è vietato quando :other lo è :value.",
    'prohibited_unless' => "Il campo :attribute è vietato a meno che non sia presente :other :values.",
    'prohibits' => "Il campo :attribute impedisce a :other di essere presente.",
    'regex' => "Il formato :attributo non è valido.",
    'required' => "Il campo :attributo è obbligatorio.",
    'required_array_keys' => "Il campo :attribute deve contenere voci per: :values.",
    'required_if' => "Il campo :attribute è obbligatorio quando lo è :other È :value.",
    'required_unless' => "Il campo :attributo è obbligatorio a meno che :c'è altro :values.",
    'required_with' => "Il campo :attributo è obbligatorio quando :values è presente.",
    'required_with_all' => "Il campo :attributo è obbligatorio quando :values sono presenti.",
    'required_without' => "Il campo :attributo è obbligatorio quando :values non è presente.",
    'required_without_all' => "Il campo :attribute è obbligatorio quando nessuno di :values sono presenti.",
    'same' => "L' :attributo e :l'altro deve corrispondere.",
    'size' => [
        'numeric' => "L' :attributo deve essere :size.",
        'file' => "L' :attributo deve essere :size kilobytes.",
        'string' => "L' :attributo deve essere :size caratteri.",
        'array' => "L' :attributo deve contenere :size elementi.",
    ],
    'starts_with' => "L' :attributo deve iniziare con uno dei seguenti: :values.",
    'string' => "L':attributo deve essere una stringa.",
    'timezone' => "L' :attributo deve essere un fuso orario valido.",
    'unique' => "L' :attributo è già stato preso.",
    'uploaded' => "Impossibile caricare :attribute.",
    'url' => "L':attributo deve essere un URL valido.",
    'uuid' => "L':attributo deve essere un UUID valido.",

    /*
    |--------------------------------------------------------------------------
    | Custom Validation Language Lines
    |--------------------------------------------------------------------------
    |
    | Here you may specify custom validation messages for attributes using the
    | convention "attribute.rule" to name the lines. This makes it quick to
    | specify a specific custom language line for a given attribute rule.
    |
    */

    'custom' => [
        'attribute-name' => [
            'rule-name' => 'custom-message',
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | Custom Validation Attributes
    |--------------------------------------------------------------------------
    |
    | The following language lines are used to swap our attribute placeholder
    | with something more reader friendly such as "E-Mail Address" instead
    | of "email". This simply helps us make our message more expressive.
    |
    */

    'attributes' => [],

];
