<?php

return [

    /*
    |--------------------------------------------------------------------------
    | Validation Language Lines
    |--------------------------------------------------------------------------
    |
    | The following language lines contain the default error messages used by
    | the validator class. Some of these rules have multiple versions such
    | as the size rules. Feel free to tweak each of these messages here.
    |
    */

    'accepted' => "Het :attribuut moet worden geaccepteerd.",
    'accepted_if' => "Het :attribuut moet worden geaccepteerd wanneer :ander is :value.",
    'active_url' => "Het :attribuut is geen geldige URL.",
    'after' => "Het :attribuut moet een datum erna zijn :date.",
    'after_or_equal' => "Het :attribuut moet een datum na of gelijk aan zijn :date.",
    'alpha' => "Het :attribuut mag alleen letters bevatten.",
    'alpha_dash' => "Het :attribuut mag alleen letters, cijfers, streepjes en onderstrepingstekens bevatten.",
    'alpha_num' => "Het :attribuut mag alleen letters en cijfers bevatten.",
    'array' => "Het :attribuut moet een array zijn.",
    'before' => "Het :attribuut moet een datum eerder zijn :date.",
    'before_or_equal' => "Het :attribuut moet een datum vóór of gelijk aan zijn :date.",
    'between' => [
        'numeric' => "Het :attribuut moet tussen :min en :max liggen.",
        'file' => "Het :attribuut moet tussen :min en :max kilobytes liggen.",
        'string' => "Het :attribuut moet tussen :min en :max tekens liggen.",
        'array' => "Het :attribuut moet tussen :min en :max items bevatten.",
    ],
    'boolean' => "Het veld :attribute moet waar of onwaar zijn.",
    'confirmed' => "De bevestiging van :attribuut komt niet overeen.",
    'current_password' => "Het wachtwoord is incorrect.",
    'date' => "Het :attribuut is geen geldige datum.",
    'date_equals' => "Het :attribuut moet een datum zijn die gelijk is aan :date.",
    'date_format' => "Het :attribuut komt niet overeen met het formaat :format.",
    'declined' => "Het :kenmerk moet worden geweigerd.",
    'declined_if' => "Het :attribuut moet geweigerd worden wanneer :other is :value.",
    'different' => "Het :attribuut en :other moeten verschillend zijn.",
    'digits' => "Het :attribuut moet :digits cijfers zijn.",
    'digits_between' => "Het :attribuut moet tussen de cijfers :min en :max liggen.",
    'dimensions' => "Het :attribuut heeft ongeldige afbeeldingsafmetingen.",
    'distinct' => "Het veld :attribute heeft een dubbele waarde.",
    'email' => "Het :attribuut moet een geldig e-mailadres zijn.",
    'ends_with' => "Het :attribuut moet eindigen op een van de volgende waarden: :values.",
    'enum' => "Het geselecteerde :attribuut is ongeldig.",
    'exists' => "Het geselecteerde :attribuut is ongeldig.",
    'file' => "Het :attribuut moet een bestand zijn.",
    'filled' => "Het veld :attribute moet een waarde hebben.",
    'gt' => [
        'numeric' => "Het :attribuut moet groter zijn dan :value.",
        'file' => "Het :attribuut moet groter zijn dan :value kilobytes.",
        'string' => "Het :attribuut moet groter zijn dan :value tekens.",
        'array' => "Het :attribuut moet meer dan :value items bevatten.",
    ],
    'gte' => [
        'numeric' => "Het :attribuut moet groter zijn dan of gelijk zijn aan :value.",
        'file' => "Het :attribuut moet groter zijn dan of gelijk zijn aan :value kilobytes.",
        'string' => "Het :attribuut moet groter zijn dan of gelijk zijn aan :value tekens.",
        'array' => "Het :attribuut moet :value-items of meer bevatten.",
    ],
    'image' => "Het :attribuut moet een afbeelding zijn.",
    'in' => "Het geselecteerde :attribuut is ongeldig.",
    'in_array' => "Het veld :attribute bestaat niet in :other.",
    'integer' => "Het :attribuut moet een geheel getal zijn.",
    'ip' => "Het :attribuut moet een geldig IP-adres zijn.",
    'ipv4' => "Het :attribuut moet een geldig IPv4-adres zijn.",
    'ipv6' => "Het :attribuut moet een geldig IPv6-adres zijn.",
    'json' => "Het :attribuut moet een geldige JSON-tekenreeks zijn.",
    'lt' => [
        'numeric' => "Het :attribuut moet kleiner zijn dan :value.",
        'file' => "Het :attribuut moet kleiner zijn dan :value kilobytes.",
        'string' => "Het :attribuut moet kleiner zijn dan :value tekens.",
        'array' => "Het :attribuut moet minder dan :value items bevatten.",
    ],
    'lte' => [
        'numeric' => "Het :attribuut moet kleiner dan of gelijk zijn aan :value.",
        'file' => "Het :attribuut moet kleiner dan of gelijk zijn aan :value kilobytes.",
        'string' => "Het :attribuut moet kleiner zijn dan of gelijk zijn aan :value tekens.",
        'array' => "Het :attribuut mag niet meer dan :value items bevatten.",
    ],
    'mac_address' => "Het :attribuut moet een geldig MAC-adres zijn.",
    'max' => [
        'numeric' => "Het :attribuut mag niet groter zijn dan :max.",
        'file' => "Het :attribuut mag niet groter zijn dan :max kilobytes.",
        'string' => "Het :attribuut mag niet groter zijn dan :max tekens.",
        'array' => "Het :attribuut mag niet meer dan :max items bevatten.",
    ],
    'mimes' => "Het :attribuut moet een bestand van het type zijn: :values.",
    'mimetypes' => "Het :attribuut moet een bestand van het type zijn: :values.",
    'min' => [
        'numeric' => "Het :attribuut moet minimaal zijn :min.",
        'file' => "Het :attribuut moet minimaal :min kilobytes zijn.",
        'string' => "Het :attribuut moet minimaal :min tekens bevatten.",
        'array' => "Het :attribuut moet minimaal :min items bevatten.",
    ],
    'multiple_of' => "Het :attribuut moet een veelvoud zijn van :value.",
    'not_in' => "Het geselecteerde :attribuut is ongeldig.",
    'not_regex' => "Het :attribute-formaat is ongeldig.",
    'numeric' => "Het :attribuut moet een getal zijn.",
    'password' => "Het wachtwoord is incorrect.",
    'present' => "Het veld :attribuut moet aanwezig zijn.",
    'prohibited' => "Het veld :attribuut is niet toegestaan.",
    'prohibited_if' => "Het veld :attribuut is verboden wanneer :ander is :value.",
    'prohibited_unless' => "Het veld :attribuut is verboden, tenzij :andere is binnen :values.",
    'prohibits' => "Het veld :attribute verbiedt dat :other aanwezig is.",
    'regex' => "Het :attribute-formaat is ongeldig.",
    'required' => "Het veld :attribuut is verplicht.",
    'required_array_keys' => "Het veld :attribute moet vermeldingen bevatten voor: :values.",
    'required_if' => "Het veld :attribuut is vereist wanneer :ander is :value.",
    'required_unless' => "Het veld :attribuut is verplicht, tenzij :andere is binnen :values.",
    'required_with' => "Het veld :attribuut is vereist wanneer :values is aanwezig.",
    'required_with_all' => "Het veld :attribuut is vereist wanneer :values zijn aanwezig.",
    'required_without' => "Het veld :attribuut is vereist wanneer :values is er niet.",
    'required_without_all' => "Het veld :attribuut is vereist als geen van :values are present.",
    'same' => "Het :attribuut en :other moeten overeenkomen.",
    'size' => [
        'numeric' => "Het :attribuut moet zijn :size.",
        'file' => "Het :attribuut moet :size kilobytes zijn.",
        'string' => "Het :attribuut moet :size tekens zijn.",
        'array' => "Het :attribuut moet :size-items bevatten.",
    ],
    'starts_with' => "Het :attribuut moet beginnen met een van de volgende waarden: :values.",
    'string' => "Het :attribuut moet een string zijn.",
    'timezone' => "Het :attribuut moet een geldige tijdzone zijn.",
    'unique' => "Het :attribuut is al in gebruik.",
    'uploaded' => "Het :attribuut kan niet worden geüpload.",
    'url' => "Het :attribuut moet een geldige URL zijn.",
    'uuid' => "Het :attribuut moet een geldige UUID zijn.",

    /*
    |--------------------------------------------------------------------------
    | Custom Validation Language Lines
    |--------------------------------------------------------------------------
    |
    | Here you may specify custom validation messages for attributes using the
    | convention "attribute.rule" to name the lines. This makes it quick to
    | specify a specific custom language line for a given attribute rule.
    |
    */

    'custom' => [
        'attribute-name' => [
            'rule-name' => 'custom-message',
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | Custom Validation Attributes
    |--------------------------------------------------------------------------
    |
    | The following language lines are used to swap our attribute placeholder
    | with something more reader friendly such as "E-Mail Address" instead
    | of "email". This simply helps us make our message more expressive.
    |
    */

    'attributes' => [],

];
