<?php

return [

    /*
    |--------------------------------------------------------------------------
    | Validation Language Lines
    |--------------------------------------------------------------------------
    |
    | The following language lines contain the default error messages used by
    | the validator class. Some of these rules have multiple versions such
    | as the size rules. Feel free to tweak each of these messages here.
    |
    */

    'accepted' => "O :attribute deve ser aceito.",
    'accepted_if' => "O :attribute deve ser aceito quando :other for :value.",
    'active_url' => "O :attribute não é um URL válido.",
    'after' => "O :attribute deve ser uma data posterior a :date.",
    'after_or_equal' => "O :attribute deve ser uma data posterior ou igual a :date.",
    'alpha' => "O :attribute deve conter apenas letras.",
    'alpha_dash' => "O :attribute deve conter apenas letras, números, travessões e sublinhados.",
    'alpha_num' => "O :attribute deve conter apenas letras e números.",
    'array' => "O :attribute deve ser um array.",
    'before' => "O :attribute deve ser uma data anterior a :date.",
    'before_or_equal' => "O :attribute deve ser uma data anterior ou igual a :date.",
    'between' => [
        'numeric' => "O :attribute deve estar entre :min e :max.",
        'file' => "O :attribute deve estar entre :min e :max kilobytes.",
        'string' => "O :attribute deve ter entre :min e :max caracteres.",
        'array' => "O :attribute deve ter entre :min e :max itens.",
    ],
    'boolean' => "O campo :attribute deve ser verdadeiro ou falso.",
    'confirmed' => "A confirmação :attribute não corresponde.",
    'current_password' => "A senha está incorreta.",
    'date' => "O :attribute não é uma data válida.",
    'date_equals' => "O :attribute deve ser uma data igual a :date.",
    'date_format' => "O :attribute não corresponde ao formato :format.",
    'declined' => "O :attribute deve ser recusado.",
    'declined_if' => "O :attribute deve ser recusado quando :outro é: valor.",
    'different' => "O :attribute e :other devem ser diferentes.",
    'digits' => "O :attribute deve ser :digits dígitos.",
    'digits_between' => "O :attribute deve estar entre :min e :max dígitos.",
    'dimensions' => "O :attribute tem dimensões de imagem inválidas.",
    'distinct' => "O campo :attribute tem um valor duplicado.",
    'email' => "O :attribute deve ser um endereço de e-mail válido.",
    'ends_with' => "O :attribute deve terminar com um dos seguintes: :values.",
    'enum' => "O :attribute selecionado é inválido.",
    'exists' => "O :attribute selecionado é inválido.",
    'file' => "O :attribute deve ser um arquivo.",
    'filled' => "O campo :attribute deve ter um valor.",
    'gt' => [
        'numeric' => "O :attribute deve ser maior que :value.",
        'file' => "O :attribute deve ser maior que :value kilobytes.",
        'string' => "O :attribute deve ser maior que os caracteres :value.",
        'array' => "O :attribute deve ter mais de :value itens.",
    ],
    'gte' => [
        'numeric' => "O :attribute deve ser maior ou igual a :value.",
        'file' => "O :attribute deve ser maior ou igual a :value kilobytes.",
        'string' => "O :attribute deve ser maior ou igual a :value caracteres.",
        'array' => "O :attribute deve ter :value itens ou mais.",
    ],
    'image' => "O :attribute deve ser uma imagem.",
    'in' => "O :attribute selecionado é inválido.",
    'in_array' => "O campo :attribute não existe em :other.",
    'integer' => "O :attribute deve ser um número inteiro.",
    'ip' => "O :attribute deve ser um endereço IP válido.",
    'ipv4' => "O :attribute deve ser um endereço IPv4 válido.",
    'ipv6' => "O :attribute deve ser um endereço IPv6 válido.",
    'json' => "O :attribute deve ser uma string JSON válida.",
    'lt' => [
        'numeric' => "O :attribute deve ser menor que :value.",
        'file' => "O :attribute deve ser menor que :value kilobytes.",
        'string' => "O :attribute deve ter menos que :value caracteres.",
        'array' => "O :attribute deve ter menos que :value itens.",
    ],
    'lte' => [
        'numeric' => "O :attribute deve ser menor ou igual a :value.",
        'file' => "O :attribute deve ser menor ou igual a :value kilobytes.",
        'string' => "O :attribute deve ser menor ou igual a :value caracteres.",
        'array' => "O :attribute não deve ter mais que :value itens.",
    ],
    'mac_address' => "O :attribute deve ser um endereço MAC válido.",
    'max' => [
        'numeric' => "O :attribute não deve ser maior que :max.",
        'file' => "O :attribute não deve ser maior que :max kilobytes.",
        'string' => "O :attribute não deve ser maior que :max caracteres.",
        'array' => "O :attribute não deve ter mais do que :max itens.",
    ],
    'mimes' => "O :attribute deve ser um arquivo do tipo: :values.",
    'mimetypes' => "O :attribute deve ser um arquivo do tipo: :values.",
    'min' => [
        'numeric' => "O :attribute deve ser pelo menos :min.",
        'file' => "O :attribute deve ter pelo menos :min kilobytes.",
        'string' => "O :attribute deve ter pelo menos :min caracteres.",
        'array' => "O :attribute deve ter pelo menos :min itens.",
    ],
    'multiple_of' => "O :attribute deve ser um múltiplo de :value.",
    'not_in' => "O :attribute selecionado é inválido.",
    'not_regex' => "O formato :attribute é inválido.",
    'numeric' => "O :attribute deve ser um número.",
    'password' => "A senha está incorreta.",
    'present' => "O campo :attribute deve estar presente.",
    'prohibited' => "O campo :attribute é proibido.",
    'prohibited_if' => "O campo :attribute é proibido quando :outro é: valor.",
    'prohibited_unless' => "O campo :attribute é proibido, a menos que :outro está em :values.",
    'prohibits' => "O campo :attribute proíbe :other de estar presente.",
    'regex' => "O formato :attribute é inválido.",
    'required' => "O campo :attribute é obrigatório.",
    'required_array_keys' => "O campo :attribute deve conter entradas para: :values.",
    'required_if' => "O campo :attribute é obrigatório quando :other é :value.",
    'required_unless' => "O campo :attribute é obrigatório, a menos que :other esteja em :values.",
    'required_with' => "O campo :attribute é obrigatório quando :valores estão presentes.",
    'required_with_all' => "O campo :attribute é obrigatório quando :valores estão presentes.",
    'required_without' => "O campo :attribute é obrigatório quando :valores não estão presentes.",
    'required_without_all' => "O campo :attribute é obrigatório quando nenhum dos :valores estão presentes.",
    'same' => "O :atributo e :outro deve corresponder.",
    'size' => [
        'numeric' => "O :attribute deve ser :size.",
        'file' => "O :attribute deve ser :size kilobytes.",
        'string' => "O :attribute deve ter :size caracteres.",
        'array' => "O :attribute deve conter :size itens.",
    ],
    'starts_with' => "O :attribute deve começar com um dos seguintes: :values.",
    'string' => "O :attribute deve ser uma string.",
    'timezone' => "The :attribute must be a valid timezone.",
    'unique' => "The :attribute has already been taken.",
    'uploaded' => "The :attribute failed to upload.",
    'url' => "The :attribute must be a valid URL.",
    'uuid' => "The :attribute must be a valid UUID.",

    /*
    |--------------------------------------------------------------------------
    | Custom Validation Language Lines
    |--------------------------------------------------------------------------
    |
    | Here you may specify custom validation messages for attributes using the
    | convention "attribute.rule" to name the lines. This makes it quick to
    | specify a specific custom language line for a given attribute rule.
    |
    */

    'custom' => [
        'attribute-name' => [
            'rule-name' => 'custom-message',
        ],
    ],

    /*
    |--------------------------------------------------------------------------
    | Custom Validation Attributes
    |--------------------------------------------------------------------------
    |
    | The following language lines are used to swap our attribute placeholder
    | with something more reader friendly such as "E-Mail Address" instead
    | of "email". This simply helps us make our message more expressive.
    |
    */

    'attributes' => [],

];
