<x-app-layout>
    <x-slot name="header">
        <h2 class="font-semibold text-xl text-gray-800 leading-tight">
            {{__("messages.Dashboard")}}
        </h2>
    </x-slot>
	
	

    <section class="my-account py-5">
        <div class="container bg-white">
            
            <div class="title-block pb-3 mb-5 pt-5 border-bottom">
                <h2 class="fw-bold mb-0"> Affilliate Members </h2>
            </div>

            <div class="panel-body ">
					
				<form method="POST" action="{{ route('admin.save_member') }}">
					@csrf

					<!-- Name -->
					<div class="form-group row">
						<label for="inputEmail3" class="col-sm-2 col-form-label">Full Name</label>
						<div class="col-sm-10">
						  <x-text-input id="name" class="block mt-1 w-full" type="text" name="name" :value="old('name')"  autofocus />
							<x-input-error :messages="$errors->get('name')" class="mt-2" />
						</div>
					</div>
					
					<div class="form-group row mt-2">
						<label for="inputEmail3" class="col-sm-2 col-form-label">Contact Number</label>
						<div class="col-sm-10">
							<x-text-input id="contact_number" class="block mt-1 w-full number-check" type="text" name="contact_number" :value="old('contact_number')"  />
							<x-input-error :messages="$errors->get('contact_number')" class="mt-2" />
						</div>
					</div>
					
					<div class="form-group row mt-2">
						<label for="inputEmail3" class="col-sm-2 col-form-label">Email</label>
						<div class="col-sm-10">
							<x-text-input id="email" class="block mt-1 w-full" type="email" name="email" :value="old('email')"  />
							<x-input-error :messages="$errors->get('email')" class="mt-2" />
						</div>
					</div>
					
					<div class="form-group row mt-2">
						<label for="inputEmail3" class="col-sm-2 col-form-label">Password</label>
						<div class="col-sm-10">
							<x-text-input id="password" class="block mt-1 w-full" type="password" name="password" :value="old('password')"  />
							<x-input-error :messages="$errors->get('password')" class="mt-2" />
						</div>
					</div>
					
					<div class="form-group row mt-2">
						<label for="inputEmail3" class="col-sm-2 col-form-label">Confirm Password</label>
						<div class="col-sm-10">
							<x-text-input id="password_confirmation" class="block mt-1 w-full" type="password" name="password_confirmation" :value="old('password_confirmation')"  />
							<x-input-error :messages="$errors->get('password_confirmation')" class="mt-2" />
						</div>
					</div>
					
					<div class="form-group row mt-2">
						<label for="inputEmail3" class="col-sm-2 col-form-label">Affilliate Code</label>
						<div class="col-sm-10">
							<x-text-input id="affilliate_code" class="block mt-1 w-full" type="text" name="affilliate_code" value="{{old('affilliate_code', $random_code)}}" />
							<x-input-error :messages="$errors->get('affilliate_code')" class="mt-2" />
						</div>
					</div>
					
					<div class=" items-center mt-4 text-center pb-4 ">
					

						<x-primary-button class="ms-4 " onclick="return checkCode()">
							ADD
						</x-primary-button>
					</div>
				</form>             
            
			</div>
		
		</div>
	</section>

	<script type="text/javascript">
	$(document).ready(function () {

		$('.number-check').keypress(function (e) {
			var regex = new RegExp("^[0-9]+$");
			var strigChar = String.fromCharCode(!e.charCode ? e.which : e.charCode);
			if (regex.test(strigChar)) {
				return true;
			}
			return false
		});

	});

	function checkCode()
	{
		var input = document.getElementById('affilliate_code').value.trim();

		if (input === '') {
        	alert('Please Enter Affilliate Code');
			return false;
		} else if (input.includes(' ')) {
			alert('Invalid Affilliate Code');
			return false;
		} else {
			return true;
		}
		return true;
     
	}
	</script>

</x-app-layout>
