
<x-guest-layout>
    <form method="POST" action="{{ route('register') }}">
        @csrf

		<input type="hidden" name="login_type" id="login_type" value="{{$social_type}}" />
		<input type="hidden" name="social_id" id="social_id" value="{{$social_id}}" />
		
        <!-- Name -->
        <div>
            <x-input-label for="name" value="__('Full Name')" />
            <x-text-input id="name" class="block mt-1 w-full" type="text" name="name" value="{{$name}}" required autofocus autocomplete="name" />
            <x-input-error messages="$errors->get('name')" class="mt-2" />
        </div>
		
		<!-- Email Address -->
        <div class="mt-4">
            <x-input-label for="email" value="__('Email')" />
            <x-text-input id="email" class="block mt-1 w-full" type="email" name="email" value="{{$email}}" required autocomplete="username" />
            <x-input-error messages="$errors->get('email')" class="mt-2" />
        </div>

        <!-- Country -->
        <div class="mt-4">
            <x-input-label for="country" value="__('Country')" />
            <select id="country" name="country" required class="standardSelect block mt-1 w-full" data-toggle="select2" data-search="true">
                <option value=""  >-- Select Countries-- </option>
                @foreach ($countries_list as $row)
                    <option value="{{$row->countryname}}" @if($country_name == $row->countryname) selected="selected" @endif >{{$row->countryname}}</option>                    
                @endforeach                           
            </select>

            <x-input-error messages="$errors->get('country')" class="mt-2" />
        </div>

        <div class="mt-4">
            <x-input-label for="telegram_handle" value="__('Telegram Handle')" />
            <x-text-input id="telegram_handle" class="block mt-1 w-full" type="text" name="telegram_handle" value="old('telegram_handle')" required />
            <x-input-error messages="$errors->get('telegram_handle')" class="mt-2" />
        </div>

        <!-- Email Address -->
        <div class="mt-4">
            <x-input-label for="find_us" value="__('How did you find us?')" />
            <input type="checkbox" name="find_us[]" value="Search Engine" {{ (is_array(old('find_us')) && in_array('Search Engine', old('find_us')) ) ? ' checked' : '' }} > Search Engine
            <input type="checkbox" name="find_us[]" value="Social Media" {{ (is_array(old('find_us')) && in_array('Social Media', old('find_us')) ) ? ' checked' : '' }} > Social Media
            <input type="checkbox" name="find_us[]" value="Advertisement" {{ (is_array(old('find_us')) && in_array('Advertisement', old('find_us')) ) ? ' checked' : '' }} > Advertisement 
            <!-- <br>
            <input type="checkbox" name="find_us" value="1"> Referral from a Friend -->
            <x-input-error messages="$errors->get('find_us')" class="mt-2" />
        </div>

        <div class="flex items-center justify-end mt-4">
            

            <x-primary-button class="ms-4">
                {{ __('Update') }}
            </x-primary-button>
        </div>
    </form>

    <script type="text/javascript">
        $(function () {

            $(".standardSelect").select2({
                placeholder: "Select an Option",
                allowClear: true
            });
        });
    </script>
</x-guest-layout>