<x-guest-layout>
    <!-- Session Status -->
    <x-auth-session-status class="mb-4" :status="session('status')" />
            <div style="text-align: right;">
                <select class="form-control" id="lang_code" onchange="changeLanguage(this)">    
                    @foreach($languages as $row)
                        <option value="{{$row->official_lang}}" @if($row->official_lang == session()->get('lang_code')) selected @endif>{{$row->lang}}</option>
                    @endforeach
                </select>
            </div>
    <form method="POST" action="{{ route('login-user') }}">
        @csrf

        <!-- Email Address -->
        <div>
            <label>{{__("messages.Email")}}</label>
            <x-text-input id="email" class="block mt-1 w-full" type="email" name="email" :value="old('email')" required autofocus autocomplete="username" />
            <x-input-error :messages="$errors->get('email')" class="mt-2" />
        </div>

        <!-- Password -->
        <div class="mt-4">
            <label>{{__("messages.Password")}}</label>

            <x-text-input id="password" class="block mt-1 w-full"
                            type="password"
                            name="password"
                            required autocomplete="current-password" />

            <x-input-error :messages="$errors->get('password')" class="mt-2" />
        </div>

        <!-- Remember Me -->
        <div class="block mt-4">
            <label for="remember_me" class="inline-flex items-center">
                <input id="remember_me" type="checkbox" class="rounded border-gray-300 text-indigo-600 shadow-sm focus:ring-indigo-500" name="remember">
                <span class="ms-2 text-sm text-gray-600">{{__("messages.Remember_me")}}</span>
            </label>
        </div>

        <div class="items-center  mt-4 text-center">
        
            <x-primary-button class="ms-3">
                {{__("messages.Log_in")}}
            </x-primary-button>
        </div>

        <div class="block mt-4">
        {{__("messages.Dont_have_an_acount")}}? <a href="<?= url('/register'); ?>" class="text-danger font-weight-600" style='color:#d00056; font-weight:bold'; >{{__("messages.Register_Now")}}</a>
        </div>

      
    </form>
    <script type="text/javascript">
        function changeLanguage(dropdown){
            var lang = dropdown.value;
            window.location='{{url("change-language")}}/'+lang;
        }
    </script>
</x-guest-layout>
