
<x-guest-layout>
    <div style="text-align: right;">
        <select class="form-control" id="lang_code" onchange="changeLanguage(this)">    
            @foreach($languages as $row)
                <option value="{{$row->official_lang}}" @if($row->official_lang == session()->get('lang_code')) selected @endif>{{$row->lang}}</option>
            @endforeach
        </select>
    </div>
    <form method="POST" action="{{ route('register') }}">
        @csrf

        <input type="hidden" name="affilliate_id" value="{{$affilliate_id}}" />

        <!-- Name -->
        <div>
            <label>{{__("messages.Full_Name")}}</label>
            <x-text-input id="name" class="block mt-1 w-full" type="text" name="name" :value="old('name')"  autofocus autocomplete="name" />
            <x-input-error :messages="$errors->get('name')" class="mt-2" />
        </div>

        <!-- Email Address -->
        <div class="mt-4">
            <label>{{__("messages.Country")}}</label>
            <select id="country" name="country"  class="standardSelect block mt-1 w-full" data-toggle="select2" data-search="true">
                <option value=""  @if( old('country') == "") selected="selected" @endif >-- Select Countries-- </option>
                @foreach ($countries_list as $row)
                    <option value="{{$row->countryname}}" @if($country_name == $row->countryname) selected="selected" @endif >{{$row->countryname}}</option>                    
                @endforeach                           
            </select>

            <x-input-error :messages="$errors->get('country')" class="mt-2" />
        </div>

        <div class="mt-4">
            <label>{{__("messages.Telegram_Handle")}}</label>
            <x-text-input id="telegram_handle" class="block mt-1 w-full" type="text" name="telegram_handle" :value="old('telegram_handle')"  />
            <x-input-error :messages="$errors->get('telegram_handle')" class="mt-2" />
        </div>

        <!-- Email Address -->
        <div class="mt-4">
            <label>{{__("messages.Email")}}</label>
            <x-text-input id="email" class="block mt-1 w-full" type="email" name="email" :value="old('email')"  autocomplete="username" />
            <x-input-error :messages="$errors->get('email')" class="mt-2" />
        </div>
        
        

        <!-- Email Address -->
        <div class="mt-4">
            <label>{{__("messages.How_did_you_find_us")}}?</label><br>
            <input type="checkbox" class=" " name="find_us[]" value="Facebook" {{ (is_array(old('find_us')) && in_array('Facebook', old('find_us')) ) ? ' checked' : '' }} > Facebook
            <input type="checkbox" class="ml-5 " name="find_us[]" value="Twitter" {{ (is_array(old('find_us')) && in_array('Twitter', old('find_us')) ) ? ' checked' : '' }} > Twitter
            <input type="checkbox" class=" ml-5 " name="find_us[]" value="Instagram" {{ (is_array(old('find_us')) && in_array('Instagram', old('find_us')) ) ? ' checked' : '' }} > Instagram 
            <input type="checkbox" class=" ml-5 " name="find_us[]" value="Youtube" {{ (is_array(old('find_us')) && in_array('Youtube', old('find_us')) ) ? ' checked' : '' }} > Youtube

            <input type="checkbox" class=" ml-5 " name="find_us[]" value="Telegram" {{ (is_array(old('find_us')) && in_array('Telegram', old('find_us')) ) ? ' checked' : '' }} > Telegram 

            <input type="checkbox" class=" ml-5 " name="find_us[]" value="Referred by a friend" {{ (is_array(old('find_us')) && in_array('Referred by a friend', old('find_us')) ) ? ' checked' : '' }} > {{__("messages.Referred_by_a_friend")}} 
            <!-- <br>
            <input type="checkbox" name="find_us" value="1"> Referral from a Friend -->
            <x-input-error :messages="$errors->get('find_us')" class="mt-2" />
        </div>

        <div class=" items-center mt-4 text-center">
        

            <x-primary-button class="ms-4">
                {{__("messages.Register")}}
            </x-primary-button>
        </div>
    </form>

    <script type="text/javascript">
        $(function () {

            $(".standardSelect").select2({
                placeholder: "Select an Option",
                allowClear: true
            });
        });

        function changeLanguage(dropdown){
            var lang = dropdown.value;
            window.location='{{url("change-language")}}/'+lang;
        }
    </script>
</x-guest-layout>