<?php

use App\Http\Controllers\ProfileController;
use App\Http\Controllers\DashboardController;
use App\Http\Controllers\Auth\RegisteredUserController;
use App\Http\Controllers\FacebookController;
use App\Http\Controllers\GoogleController;
use App\Http\Controllers\LanguageController;
use App\Http\Controllers\LoginController;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\MemberController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', [RegisteredUserController::class, 'create'])->name('register')->middleware('Language');

Route::get('/register/{id?}', [RegisteredUserController::class, 'create'])->name('register')->middleware('Language');

Route::get('/change-language/{lang?}', [LanguageController::class, 'changeLang'])->name('change-language');
Route::get('/check', [LanguageController::class, 'CheckCountryIP'])->name('check');
Route::get('/lang', [LanguageController::class, 'LanguageCheck'])->name('lang');

Route::post('/login-user', [LoginController::class, 'authenticate'])->name('login-user');


Route::middleware(['auth','Language'])->group(function () {
  
    Route::get('/dashboard', [ProfileController::class, 'index'])->name('dashboard');
    Route::get('/profile', [ProfileController::class, 'edit'])->name('profile.edit');

    Route::get('/admin-dashboard', [DashboardController::class, 'index'])->name('admin.dashboard');
    Route::patch('/profile', [ProfileController::class, 'update'])->name('profile.update');
    Route::delete('/profile', [ProfileController::class, 'destroy'])->name('profile.destroy');

    Route::get('/affiliate-members', [DashboardController::class, 'affilliateMembers'])->name('admin.members');
    Route::get('/add-member', [DashboardController::class, 'addMember'])->name('admin.add_member');
    Route::post('/add-member', [DashboardController::class, 'saveMember'])->name('admin.save_member');

    Route::get('/edit-member/{id?}', [DashboardController::class, 'editMember'])->name('admin.edit-member');
    Route::post('/update-member', [DashboardController::class, 'updateMember'])->name('admin.update-member');

    Route::get('/update-payment/{id?}', [DashboardController::class, 'update_payment'])->name('admin.update-payment');

    Route::get('/delete-member/{id?}', [DashboardController::class, 'deleteMember'])->name('admin.delete-member');

    Route::get('/member-dashboard', [MemberController::class, 'index'])->name('member.dashboard');

});

Route::get('/clear-cache', function() {
    Auth::logout();
    Session::flush();
    Artisan::call('cache:clear');
    Artisan::call('view:clear');
    Artisan::call('config:clear');

     return "cleared";
});


require __DIR__.'/auth.php';